Bulk Create Settlements
curl --request POST \
--url https://api.tread-horizon.com/v1/companies/{company-id}/settlements/bulk_create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"bulk_create_for": [],
"customer_account_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"vendor_account_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"driver_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"settlement_config": {
"settlement_line_item_type": "order",
"settlement_line_item_groupings": [
"material"
]
}
}
'import requests
url = "https://api.tread-horizon.com/v1/companies/{company-id}/settlements/bulk_create"
payload = {
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"bulk_create_for": [],
"customer_account_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"vendor_account_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"driver_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"settlement_config": {
"settlement_line_item_type": "order",
"settlement_line_item_groupings": ["material"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start_date: '2023-11-07T05:31:56Z',
end_date: '2023-11-07T05:31:56Z',
bulk_create_for: [],
customer_account_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
vendor_account_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
driver_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
settlement_config: {
settlement_line_item_type: 'order',
settlement_line_item_groupings: ['material']
}
})
};
fetch('https://api.tread-horizon.com/v1/companies/{company-id}/settlements/bulk_create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>",
"errors": [
{
"model": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}
}Settlements
Bulk Create Settlements
Bulk Create Settlements for Customers, Vendors and Drivers.
POST
/
v1
/
companies
/
{company-id}
/
settlements
/
bulk_create
Bulk Create Settlements
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
Example:
"en"
Path Parameters
Company ID
Body
application/json
Available options:
customers, vendors, drivers Optional list of customer account IDs to filter settlements by
Optional list of vendor account IDs to filter settlements by
Optional list of driver IDs to filter settlements by
Show child attributes
Show child attributes
Response
Accepted
The response is of type object.
⌘I